Subject: Re: What's cooking in git.git (Jan 2025, #06; Wed, 22)

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jan 2025 08:02:20 -0800

Patrick Steinhardt <[email-masked]> writes:

>> * ps/ci-misc-updates (2025-01-10) 10 commits
>>  - ci: remove stale code for Azure Pipelines
>>  - ci: use latest Ubuntu release
>>  - ci: stop special-casing for Ubuntu 16.04
>>  - gitlab-ci: add linux32 job testing against i386
>>  - gitlab-ci: remove the "linux-old" job
>>  - github: simplify computation of the job's distro
>>  - github: convert all Linux jobs to be containerized
>>  - github: adapt containerized jobs to be rootless
>>  - t7422: fix flaky test caused by buffered stdout
>>  - t0060: fix EBUSY in MinGW when setting up runtime prefix
>> 
>>  CI updates (containerization, dropping stale ones, etc.).
>>  source: <[email-masked]>
>
> This series was approved by Peff, but other than that it didn't get much
> feedback indeed. I'll rope in some additional reviewers.

This one I took another look while reordering topics for the next
integration and noticing that it had a bit of interaction with
another topic.  It looked good, so let me mark it for 'next'.
Unless these others find anything objectionable, that is.

>> * sk/strlen-returns-size_t (2024-12-26) 1 commit
>>  - date.c: Fix type missmatch warings from msvc
>> 
>>  Code clean-up.
>> 
>>  The remainder needs to be reviewed.
>>  source: <[email-masked]>
>
> This one seems stale to me, as there's been a v2 with [1].

IIRC the patches were pretty much independent, and this one was
clearly ready from the initial batch.  I'll let it merged to 'next'
independently instead of waiting for the remainder, which was not.

>> * jc/show-index-h-update (2024-12-20) 1 commit
>>  - show-index: the short help should say the command reads from its input
>> 
>>  Doc and short-help text for "show-index" has been clarified to
>>  stress that the command reads its data from the standard input.
>> 
>>  Comments?
>>  source: <[email-masked]>
>
> This series looks good to me.

Will mark for 'next', then.

>> * ps/3.0-remote-deprecation (2025-01-22) 7 commits
>>  - SQUASH???
>>  - remote: announce removal of "branches/" and "remotes/"
>>  - builtin/pack-redundant: remove subcommand with breaking changes
>>  - ci: repurpose "linux-gcc" job for deprecations
>>  - ci: merge linux-gcc-default into linux-gcc
>>  - Makefile: wire up build option for deprecated features
>>  - Merge branch 'ps/build' into ps/3.0-remote-deprecation
>> 
>>  Following the procedure we established to introduce breaking
>>  changes for Git 3.0, allow an early opt-in for removing support of
>>  $GIT_DIR/branches/ and $GIT_DIR/remotes/ directories to configure
>>  remotes.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> The squash-commit on top of the series looks good to me, so I think this
> should be ready.

OK, will squash and merge.

>> * ps/send-pack-unhide-error-in-atomic-push (2024-11-14) 2 commits
>>  - transport: don't ignore git-receive-pack(1) exit code on atomic push
>>  - t5504: modernize test by moving heredocs into test bodies
>> 
>>  "git push --atomic --porcelain" used to ignore failures from the
>>  other side, losing the error status from the child process, which
>>  has been corrected.
>> 
>>  Needs to see if competing parallel topic needs to replace this one.
>>  source: <[email-masked]>
>
> I think v3 sent by Jiang Xin looks like a reasonable alternative to my
> fix, but it needs some fixups. I'll maybe wait one more week for them to
> reroll the series, and if that doesn't happen I might adopt their
> patches and do the fixups by myself.

OK, so just keep this one so that I can point to your above remark
in the message I am responding to ;-)

Thanks.